<!DOCTYPE html>
<html lang="en-US">

<head>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <link rel="stylesheet" href="styles.css" />
</head>

<body>
    <div id="mastermind">
        <h1>
            <span class="M">M</span>
            <span class="A">A</span>
            <span class="S">S</span>
            <span class="T">T</span>
            <span class="E">E</span>
            <span class="R">R</span>
            <span class="MIND">MIND</span>
        </h1>

        <div class="rule-info">
            <span id="show-rules-btn" type="button"> Show Rules <i class="bi bi-chevron-down"></i></span>
            <p class="hide-rules" id="rules">Try to guess the pattern, in both order and color, within ten turns. After
                submitting a row, a small black peg is placed for each code peg from the guess which is correct in both
                color and position. A white peg indicates the existence of a correct color code peg placed in the wrong
                position. More info on
                <a href="https://en.wikipedia.org/wiki/Mastermind_(board_game)" target="_blank">Wikipedia</a>
            <p>
        </div>

        <div class="gameboard">
            <div class="board">
                <div class="row active-row" id="row-1">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-1-1"></div>
                        <div class="second" value="1" id="decode-row-1-2"></div>
                        <div class="third" value="2" id="decode-row-1-3"></div>
                        <div class="forth" value="3" id="decode-row-1-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class=" hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-2">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-2-1"></div>
                        <div class="second" value="1" id="decode-row-2-2"></div>
                        <div class="third" value="2" id="decode-row-2-3"></div>
                        <div class="forth" value="3" id="decode-row-2-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-3">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-3-1"></div>
                        <div class="second" value="1" id="decode-row-3-2"></div>
                        <div class="third" value="2" id="decode-row-3-3"></div>
                        <div class="forth" value="3" id="decode-row-3-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-4">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-4-1"></div>
                        <div class="second" value="1" id="decode-row-4-2"></div>
                        <div class="third" value="2" id="decode-row-4-3"></div>
                        <div class="forth" value="3" id="decode-row-4-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-5">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-5-1"></div>
                        <div class="second" value="1" id="decode-row-5-2"></div>
                        <div class="third" value="2" id="decode-row-5-3"></div>
                        <div class="forth" value="3" id="decode-row-5-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-6">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-6-1"></div>
                        <div class="second" value="1" id="decode-row-6-2"></div>
                        <div class="third" value="2" id="decode-row-6-3"></div>
                        <div class="forth" value="3" id="decode-row-6-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-7">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-7-1"></div>
                        <div class="second" value="1" id="decode-row-7-2"></div>
                        <div class="third" value="2" id="decode-row-7-3"></div>
                        <div class="forth" value="3" id="decode-row-7-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-8">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-8-1"></div>
                        <div class="second" value="1" id="decode-row-8-2"></div>
                        <div class="third" value="2" id="decode-row-8-3"></div>
                        <div class="forth" value="3" id="decode-row-8-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-9">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-9-1"></div>
                        <div class="second" value="1" id="decode-row-9-2"></div>
                        <div class="third" value="2" id="decode-row-9-3"></div>
                        <div class="forth" value="3" id="decode-row-9-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
                <div class="row" id="row-10">
                    <div class="decode-row">
                        <div class="first" value="0" id="decode-row-10-1"></div>
                        <div class="second" value="1" id="decode-row-10-2"></div>
                        <div class="third" value="2" id="decode-row-10-3"></div>
                        <div class="forth" value="3" id="decode-row-10-4"></div>
                    </div>
                    <div class="submit hidden" id="submit-btn">
                        <button class="submit-button"></button>
                    </div>
                    <div class="hint-row">
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                        <span class="hint"></span>
                    </div>
                </div>
            </div>
            <div class="color-picker" id="color-picker">
                <span id="color-yellow">
                    <!-- yellow #FFB400 -->
                    <input type="radio" id="color-1" value="yellow" name="color" checked>
                    <label for="color-1"></label>
                </span>
                <span id="color-persimmon">
                    <!-- persimmon #FF5A5F -->
                    <input type="radio" id="color-2" value="persimmon" name="color">
                    <label for="color-2"></label>
                </span>
                <span id="color-green">
                    <!-- pastel-green #8CE071 -->
                    <input type="radio" id="color-3" value="pastel-green" name="color">
                    <label for="color-3"></label>
                </span>
                <span id="color-blue">
                    <!-- robins-egg-blue #00D1C1 -->
                    <input type="radio" id="color-4" value="robins-egg-blue" name="color">
                    <label for="color-4"></label>
                </span>
                <span id="color-dark-blue">
                    <!-- blue-lagoon #007A87 -->
                    <input type="radio" id="color-5" value="blue-lagoon" name="color">
                    <label for="color-5"></label>
                </span>
                <span id="color-siren">
                    <!-- siren #7B0051 -->
                    <input type="radio" id="color-6" value="siren" name="color">
                    <label for="color-6"></label>
                </span>
            </div>
        </div>
        <div class="endgame" id="endgame">
            <h2 id="endgame-result"></h2>
            <button class="play-again-btn" onclick="resetGame()">PLAY AGAIN</button>
        </div>
    </div>
    <script src="script.js"></script>
</body>

</html>